%{

/*
   conf.y -- PIKT parser for the PIKT.conf file

   $Header: /home/cvs/ucgsb/pikt/src/lib/conf.y,v 1.6 2000/01/12 19:25:12 berto Exp $

   This file is part of PIKT ("Problem Informant/Killer Tool").
   Copyright (C) 1998-2000 by Robert Osterlund.

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.

   PIKT is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,
   USA.

   This product includes software developed by the University of
   California, Berkeley and its contributors.

   Send problem reports, bouquets and brickbats to:

   robert.osterlund@gsb.uchicago.edu

   Robert Osterlund
   Graduate School of Business
   University of Chicago
   1101 E. 58th Street, W309
   Chicago, IL 60637
   USA
 */

#include "common.h"

%}

%union {
	int ival;
	char *sval;
}

%token <sval> _PARSTR _PARINT _PARSRV _PARBOL
%token <sval> _STR
%token <ival> _INT _BOL

%%

start:		conflines
		;

conflines:	confline
		| conflines confline
		;

confline:	_PARSTR _STR {
			setstr($1, confparstrp, $2);
			free($1);
		}
		| _PARINT _INT {
			setint($1, confparintp, $2);
			free($1);
		}
		| _PARSRV _BOL {
			setsrv($1, confparsrv, $2);
			free($1);
		}
		| _PARBOL _BOL {
			setint($1, confparintp, $2);
			free($1);
		}
		;

%%
